## prometheus 2.15.2+ds

=== Makefile ===
# Copyright 2018 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Needs to be defined before including Makefile.common to auto-generate targets
DOCKER_ARCHS ?= amd64 armv7 arm64

REACT_APP_PATH = web/ui/react-app
REACT_APP_SOURCE_FILES = $(wildcard $(REACT_APP_PATH)/public/* $(REACT_APP_PATH)/src/* $(REACT_APP_PATH)/tsconfig.json)
REACT_APP_OUTPUT_DIR = web/ui/static/react
REACT_APP_NODE_MODULES_PATH = $(REACT_APP_PATH)/node_modules
REACT_APP_NPM_LICENSES_TARBALL = "npm_licenses.tar.bz2"

TSDB_PROJECT_DIR = "./tsdb"
TSDB_CLI_DIR="$(TSDB_PROJECT_DIR)/cmd/tsdb"
TSDB_BIN = "$(TSDB_CLI_DIR)/tsdb"
TSDB_BENCHMARK_NUM_METRICS ?= 1000
TSDB_BENCHMARK_DATASET ?= "$(TSDB_PROJECT_DIR)/testdata/20kseries.json"
TSDB_BENCHMARK_OUTPUT_DIR ?= "$(TSDB_CLI_DIR)/benchout"

include Makefile.common

DOCKER_IMAGE_NAME       ?= prometheus

$(REACT_APP_NODE_MODULES_PATH): $(REACT_APP_PATH)/package.json $(REACT_APP_PATH)/yarn.lock
	cd $(REACT_APP_PATH) && yarn --frozen-lockfile

$(REACT_APP_OUTPUT_DIR): $(REACT_APP_NODE_MODULES_PATH) $(REACT_APP_SOURCE_FILES)
	@echo ">> building React app"
	@./scripts/build_react_app.sh

.PHONY: assets
assets: $(REACT_APP_OUTPUT_DIR)
	@echo ">> writing assets"
	# Un-setting GOOS and GOARCH here because the generated Go code is always the same,
	# but the cached object code is incompatible between architectures and OSes (which
	# breaks cross-building for different combinations on CI in the same container).
	cd web/ui && GO111MODULE=$(GO111MODULE) GOOS= GOARCH= $(GO) generate -x -v $(GOOPTS)
	@$(GOFMT) -w ./web/ui

.PHONY: react-app-lint
react-app-lint: 
	@echo ">> running React app linting"
	cd $(REACT_APP_PATH) && yarn lint:ci

.PHONY: react-app-lint-fix
react-app-lint-fix: 
	@echo ">> running React app linting and fixing errors where possibe"
	cd $(REACT_APP_PATH) && yarn lint

.PHONY: react-app-test
react-app-test: | $(REACT_APP_NODE_MODULES_PATH) react-app-lint
	@echo ">> running React app tests"
	cd $(REACT_APP_PATH) && yarn test --no-watch --coverage

.PHONY: test
test: common-test react-app-test

.PHONY: npm_licenses
npm_licenses: $(REACT_APP_NODE_MODULES_PATH)
	@echo ">> bundling npm licenses"
	rm -f $(REACT_APP_NPM_LICENSES_TARBALL)
	find $(REACT_APP_NODE_MODULES_PATH) -iname "license*" | tar cfj $(REACT_APP_NPM_LICENSES_TARBALL) --transform 's/^/npm_licenses\//' --files-from=-

.PHONY: tarball
tarball: npm_licenses common-tarball

.PHONY: docker
docker: npm_licenses common-docker

.PHONY: build
build: assets common-build

.PHONY: build_tsdb
build_tsdb:
	GO111MODULE=$(GO111MODULE) $(GO) build -o $(TSDB_BIN) $(TSDB_CLI_DIR)

.PHONY: bench_tsdb
bench_tsdb: build_tsdb
	@echo ">> running benchmark, writing result to $(TSDB_BENCHMARK_OUTPUT_DIR)"
	@$(TSDB_BIN) bench write --metrics=$(TSDB_BENCHMARK_NUM_METRICS) --out=$(TSDB_BENCHMARK_OUTPUT_DIR) $(TSDB_BENCHMARK_DATASET)
	@$(GO) tool pprof -svg $(TSDB_BIN) $(TSDB_BENCHMARK_OUTPUT_DIR)/cpu.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/cpuprof.svg
	@$(GO) tool pprof --inuse_space -svg $(TSDB_BIN) $(TSDB_BENCHMARK_OUTPUT_DIR)/mem.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/memprof.inuse.svg
	@$(GO) tool pprof --alloc_space -svg $(TSDB_BIN) $(TSDB_BENCHMARK_OUTPUT_DIR)/mem.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/memprof.alloc.svg
	@$(GO) tool pprof -svg $(TSDB_BIN) $(TSDB_BENCHMARK_OUTPUT_DIR)/block.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/blockprof.svg
	@$(GO) tool pprof -svg $(TSDB_BIN) $(TSDB_BENCHMARK_OUTPUT_DIR)/mutex.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/mutexprof.svg

=== documentation/prometheus-mixin/Makefile ===
JSONNET_FMT := jsonnetfmt -n 2 --max-blank-lines 2 --string-style s --comment-style s

all: fmt prometheus_alerts.yaml dashboards_out lint

fmt:
	find . -name 'vendor' -prune -o -name '*.libsonnet' -print -o -name '*.jsonnet' -print | \
		xargs -n 1 -- $(JSONNET_FMT) -i

prometheus_alerts.yaml: mixin.libsonnet config.libsonnet alerts.libsonnet
	jsonnet -S alerts.jsonnet > $@

dashboards_out: mixin.libsonnet config.libsonnet dashboards.libsonnet
	@mkdir -p dashboards_out
	jsonnet -J vendor -m dashboards_out dashboards.jsonnet

lint: prometheus_alerts.yaml
	find . -name 'vendor' -prune -o -name '*.libsonnet' -print -o -name '*.jsonnet' -print | \
		while read f; do \
			$(JSONNET_FMT) "$$f" | diff -u "$$f" -; \
		done

	promtool check rules prometheus_alerts.yaml

clean:
	rm -rf dashboards_out prometheus_alerts.yaml

=== debian/control ===
Source: prometheus
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martina Ferrari <tincho@debian.org>,
           Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang (>= 1.39~),
               gogoprotobuf (>= 1.0.0+git20180330~),
               golang-github-aws-aws-sdk-go-dev (>= 1.4),
               golang-github-cespare-xxhash-dev,
               golang-github-cockroachdb-cmux-dev,
               golang-github-edsrzf-mmap-go-dev,
               golang-github-fsnotify-fsnotify-dev (>= 1.4.7-2~),
               golang-github-go-kit-kit-dev,
               golang-github-gogo-protobuf-dev (>= 1.0.0+git20180330~),
               golang-github-golang-snappy-dev,
               golang-github-google-pprof-dev,
               golang-github-gophercloud-gophercloud-dev (>= 0.3.0~),
               golang-github-grpc-ecosystem-grpc-gateway-dev,
               golang-github-hashicorp-consul-dev (>= 1.1.0~),
               golang-github-json-iterator-go-dev,
               golang-github-miekg-dns-dev (>= 0.0~git20170501),
               golang-github-mwitkow-go-conntrack-dev,
               golang-github-oklog-ulid-dev (>= 1.3.1~),
               golang-github-opentracing-contrib-go-stdlib-dev (>= 0.0~git20190519.cf7a6c9~),
               golang-github-opentracing-opentracing-go-dev,
               golang-github-pkg-errors-dev,
               golang-github-prometheus-alertmanager-dev (>= 0.18.0~),
               golang-github-prometheus-client-golang-dev (>= 1.2.1~),
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev (>= 0.7.0~),
               golang-github-samuel-go-zookeeper-dev,
               golang-go (>= 2:1.10~),
               golang-golang-x-net-dev (>= 1:0.0+git20180124),
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-sync-dev,
               golang-golang-x-sys-dev,
               golang-golang-x-time-dev,
               golang-google-api-dev (>= 0.0~git20170907),
               golang-google-genproto-dev (>= 0.0~git20171123),
               golang-google-grpc-dev (>= 1.6.0~),
               golang-gopkg-alecthomas-kingpin.v2-dev,
               golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
               golang-grpc-gateway,
               po-debconf,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus.git
Homepage: https://prometheus.io/
XS-Go-Import-Path: github.com/prometheus/prometheus

Package: prometheus
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         daemon | systemd-sysv,
         fonts-glyphicons-halflings,
         libjs-bootstrap4,
         libjs-eonasdan-bootstrap-datetimepicker,
         libjs-jquery (>= 1.11.3~),
         libjs-jquery-hotkeys,
         libjs-moment,
         libjs-moment-timezone,
         libjs-mustache (>= 2.3.0-1~),
         libjs-popper.js,
         libjs-rickshaw,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: prometheus-node-exporter,
Built-Using: ${misc:Built-Using},
Description: Monitoring system and time series database
 Prometheus is a systems and services monitoring system. It collects metrics
 from configured targets at given intervals, evaluates rule expressions,
 displays the results, and can trigger alerts if some condition is observed to
 be true.
 .
 Prometheus' main distinguishing features as compared to other monitoring
 systems are:
 .
  * A multi-dimensional data model (timeseries defined by metric name and set
    of key/value dimensions).
  * A flexible query language to leverage this dimensionality.
  * No dependency on distributed storage; single server nodes are autonomous.
  * Timeseries collection happens via a pull model over HTTP.
  * Pushing timeseries is supported via an intermediary gateway.
  * Targets are discovered via service discovery or static configuration.
  * Multiple modes of graphing and dashboarding support.
  * Federation support coming soon.

=== debian/rules ===
#!/usr/bin/make -f
# -*- Mode: makefile -*-
include /usr/share/dpkg/pkg-info.mk

export DH_VERBOSE=1
# Include test fixtures.
export DH_GOLANG_INSTALL_EXTRA := promql/fuzz-data \
    config/testdata discovery/file/fixtures pkg/rulefmt/testdata \
    promql/testdata rules/fixtures scrape/testdata

# Do not build examples.
export DH_GOLANG_EXCLUDES := documentation vendor

BUILDDIR := $(CURDIR)/build
METAPKG := github.com/prometheus/common

# Taken and modified from the project's Makefile.

BRANCH     := debian/sid
USER       := pkg-go-maintainers@lists.alioth.debian.org
BUILD_DATE  = $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION  = $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS  = -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

ifeq ($(DEB_HOST_ARCH_CPU),arm)
# Tests in armel take way too long, and run out of memory in armhf.
TESTFLAGS  := -timeout 60m -short
else
TESTFLAGS  := -timeout 20m
endif

%:
	# stop the service before upgrading, so we can move the v1 database away
	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)

WHATIS1 := "prometheus \\- The Prometheus monitoring server"
WHATIS2 := "promtool \\- Tooling for the Prometheus monitoring system"
WHATIS3 := "tsdb \\- CLI to the Prometheus TSDB"
PROMPB := $(CURDIR)/build/src/github.com/prometheus/prometheus/prompb

override_dh_auto_configure:
	dh_auto_configure -- $(BUILDFLAGS)
	protoc --gogofast_out=plugins=grpc:$(PROMPB) \
            -I$(PROMPB) \
            -I$(BUILDDIR)/src/github.com/gogo/protobuf \
            -I$(BUILDDIR)/src/github.com/grpc-ecosystem/grpc-gateway/third_party/googleapis \
            $(PROMPB)/*.proto
	protoc --grpc-gateway_out=logtostderr=true:$(PROMPB) \
            -I$(PROMPB) \
            -I$(BUILDDIR)/src/github.com/gogo/protobuf \
            -I$(BUILDDIR)/src/github.com/grpc-ecosystem/grpc-gateway/third_party/googleapis \
            $(PROMPB)/rpc.proto

# Exclude package without non-test files.
override_dh_auto_build: DH_GOLANG_EXCLUDES += tsdb/test
override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	build/bin/prometheus --help-man > build/prometheus.1
	build/bin/promtool --help-man > build/promtool.1
	build/bin/tsdb --help-man > build/tsdb.1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i -e '/^  /d' build/prometheus.1 build/promtool.1 build/tsdb.1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS1) build/prometheus.1
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS2) build/promtool.1
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS3) build/tsdb.1

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- $(TESTFLAGS)
endif

override_dh_auto_install:
	dh_auto_install -- --no-source

## prometheus 2.20.0+ds

=== debian/changelog ===
prometheus (2.20.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Add b-d on golang-github-docker-docker-dev
  * Add b-d on golang-github-digitalocean-godo-dev
  * Update version constraint of golang-github-prometheus-client-golang-dev
  * d/p/06-Disable_TSDB_lockfile.patch: updated to fix a tsdb test

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 23 Jul 2020 16:57:30 -0300

prometheus (2.19.2+ds-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * d/prometheus.templates: Fix syntax lintian nag
  * Run debconf-updatepo

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Wed, 08 Jul 2020 14:42:00 +0000

prometheus (2.18.2+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release
  * Refresh patches
  * Add patch to disable Jaeger tracing
  * Add d/upstream/metadata, fix a few lintian nags
  * d/lintian-overrides: fix package name
  * d/control: add new build-dep golang-github-oklog-run-dev

  [ Lucas Kanashiro ]
  * Fix Author field of the patches' headers. The value generated from
    Gpb-Pq was not reflecting the original patch author.

  [ Martina Ferrari ]
  * debian/defaults: Update cmdline options.
  * Update my name and email.

 -- Martina Ferrari <tina@debian.org>  Sat, 04 Jul 2020 22:19:59 +0000

prometheus (2.17.2+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches
  * Update years of upstream copyright

 -- Lucas Kanashiro <kanashiro@debian.org>  Wed, 24 Jun 2020 18:09:46 +0100

prometheus (2.16.0+ds-1) unstable; urgency=medium

  [ Martina Ferrari ]
  * New upstream release.

  [ Lucas Kanashiro ]
  * Add patch to fix path to prom config file in tests
  * Add patch to set temp storage path to tsdb
  * Add patch to revert commit 2908653
  * d/p/05-Fix-test-prom-invocations.patch: change port used in
    TestReadyAndHealthy
  * Add myself to the Uploaders list
  * Bump debhelper compatibility level to 13
  * Declare compliance with Debian Policy 4.5.0

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 15 Jun 2020 09:55:04 -0300

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,23 @@
 Source: prometheus
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Martina Ferrari <tincho@debian.org>,
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
+           Lucas Kanashiro <kanashiro@debian.org>
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.39~),
                gogoprotobuf (>= 1.0.0+git20180330~),
                golang-github-aws-aws-sdk-go-dev (>= 1.4),
                golang-github-cespare-xxhash-dev,
                golang-github-cockroachdb-cmux-dev,
+               golang-github-digitalocean-godo-dev,
+               golang-github-docker-docker-dev,
                golang-github-edsrzf-mmap-go-dev,
                golang-github-fsnotify-fsnotify-dev (>= 1.4.7-2~),
                golang-github-go-kit-kit-dev,
+               golang-github-go-openapi-strfmt-dev,
                golang-github-gogo-protobuf-dev (>= 1.0.0+git20180330~),
                golang-github-golang-snappy-dev,
                golang-github-google-pprof-dev,
@@ -23,12 +27,13 @@
                golang-github-json-iterator-go-dev,
                golang-github-miekg-dns-dev (>= 0.0~git20170501),
                golang-github-mwitkow-go-conntrack-dev,
+               golang-github-oklog-run-dev,
                golang-github-oklog-ulid-dev (>= 1.3.1~),
                golang-github-opentracing-contrib-go-stdlib-dev (>= 0.0~git20190519.cf7a6c9~),
                golang-github-opentracing-opentracing-go-dev,
                golang-github-pkg-errors-dev,
                golang-github-prometheus-alertmanager-dev (>= 0.18.0~),
-               golang-github-prometheus-client-golang-dev (>= 1.2.1~),
+               golang-github-prometheus-client-golang-dev (>= 1.7.1~),
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0.7.0~),
                golang-github-samuel-go-zookeeper-dev,
@@ -43,9 +48,11 @@
                golang-google-grpc-dev (>= 1.6.0~),
                golang-gopkg-alecthomas-kingpin.v2-dev,
                golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
+               golang-gopkg-yaml.v3-dev,
                golang-grpc-gateway,
                po-debconf,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus.git
 Homepage: https://prometheus.io/
@@ -53,7 +60,7 @@
 
 Package: prometheus
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends},
 Depends: adduser,
          daemon | systemd-sysv,
          fonts-glyphicons-halflings,

## prometheus 2.22.0+ds

=== debian/changelog ===
prometheus (2.22.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Standalone tsdb CLI tool is now a subcommand of promtool
  * Re-enable Azure service discovery
  * Refresh patches
  * Drop obsolete patches
    - 00-Disable_azure.patch
    - 12-Revert_commit_2908653.patch
    - 14-Use-SAN-in-test-certificate.patch
  * Add new patches
    - 04-Disable_hetzner_robot.patch
    - 14-Disable_built-in_assets.patch
    - 15-Disable_wal_test_goleak.patch
  * Add new build-dependencies
    - golang-github-hetznercloud-hcloud-go-dev
    - golang-go.uber-atomic-dev
  * Bump minimum required golang-github-prometheus-common-dev

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Tue, 20 Oct 2020 14:51:25 +0000

prometheus (2.20.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Backport patch to fix tests with go1.15 (Closes: #971212)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 07 Oct 2020 17:16:33 +0800

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,8 @@
                dh-golang (>= 1.39~),
                gogoprotobuf (>= 1.0.0+git20180330~),
                golang-github-aws-aws-sdk-go-dev (>= 1.4),
+               golang-github-azure-azure-sdk-for-go-dev,
+               golang-github-azure-go-autorest-dev,
                golang-github-cespare-xxhash-dev,
                golang-github-cockroachdb-cmux-dev,
                golang-github-digitalocean-godo-dev,
@@ -24,6 +26,7 @@
                golang-github-gophercloud-gophercloud-dev (>= 0.3.0~),
                golang-github-grpc-ecosystem-grpc-gateway-dev,
                golang-github-hashicorp-consul-dev (>= 1.1.0~),
+               golang-github-hetznercloud-hcloud-go-dev,
                golang-github-json-iterator-go-dev,
                golang-github-miekg-dns-dev (>= 0.0~git20170501),
                golang-github-mwitkow-go-conntrack-dev,
@@ -35,9 +38,10 @@
                golang-github-prometheus-alertmanager-dev (>= 0.18.0~),
                golang-github-prometheus-client-golang-dev (>= 1.7.1~),
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0.7.0~),
+               golang-github-prometheus-common-dev (>= 0.14.0~),
                golang-github-samuel-go-zookeeper-dev,
                golang-go (>= 2:1.10~),
+               golang-go.uber-atomic-dev,
                golang-golang-x-net-dev (>= 1:0.0+git20180124),
                golang-golang-x-oauth2-google-dev,
                golang-golang-x-sync-dev,
@@ -66,7 +70,7 @@
          fonts-glyphicons-halflings,
          libjs-bootstrap4,
          libjs-eonasdan-bootstrap-datetimepicker,
-         libjs-jquery (>= 1.11.3~),
+         libjs-jquery (>= 3.5.1~),
          libjs-jquery-hotkeys,
          libjs-moment,
          libjs-moment-timezone,

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,6 @@
 
 WHATIS1 := "prometheus \\- The Prometheus monitoring server"
 WHATIS2 := "promtool \\- Tooling for the Prometheus monitoring system"
-WHATIS3 := "tsdb \\- CLI to the Prometheus TSDB"
 PROMPB := $(CURDIR)/build/src/github.com/prometheus/prometheus/prompb
 
 override_dh_auto_configure:
@@ -52,11 +51,6 @@
             -I$(BUILDDIR)/src/github.com/gogo/protobuf \
             -I$(BUILDDIR)/src/github.com/grpc-ecosystem/grpc-gateway/third_party/googleapis \
             $(PROMPB)/*.proto
-	protoc --grpc-gateway_out=logtostderr=true:$(PROMPB) \
-            -I$(PROMPB) \
-            -I$(BUILDDIR)/src/github.com/gogo/protobuf \
-            -I$(BUILDDIR)/src/github.com/grpc-ecosystem/grpc-gateway/third_party/googleapis \
-            $(PROMPB)/rpc.proto
 
 # Exclude package without non-test files.
 override_dh_auto_build: DH_GOLANG_EXCLUDES += tsdb/test
@@ -64,13 +58,9 @@
 	dh_auto_build -- $(BUILDFLAGS)
 	build/bin/prometheus --help-man > build/prometheus.1
 	build/bin/promtool --help-man > build/promtool.1
-	build/bin/tsdb --help-man > build/tsdb.1
-	# Remove build user/build date/go version headers, which is ugly.
-	sed -i -e '/^  /d' build/prometheus.1 build/promtool.1 build/tsdb.1
 	# Fix whatis entry.
 	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS1) build/prometheus.1
 	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS2) build/promtool.1
-	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS3) build/tsdb.1
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

## prometheus 2.24.1+ds

=== Makefile ===
# Copyright 2018 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Needs to be defined before including Makefile.common to auto-generate targets
DOCKER_ARCHS ?= amd64 armv7 arm64 ppc64le s390x

REACT_APP_PATH = web/ui/react-app
REACT_APP_SOURCE_FILES = $(shell find $(REACT_APP_PATH)/public/ $(REACT_APP_PATH)/src/ $(REACT_APP_PATH)/tsconfig.json)
REACT_APP_OUTPUT_DIR = web/ui/static/react
REACT_APP_NODE_MODULES_PATH = $(REACT_APP_PATH)/node_modules
REACT_APP_NPM_LICENSES_TARBALL = "npm_licenses.tar.bz2"
REACT_APP_BUILD_SCRIPT = ./scripts/build_react_app.sh

PROMTOOL = ./promtool
TSDB_BENCHMARK_NUM_METRICS ?= 1000
TSDB_BENCHMARK_DATASET ?= ./tsdb/testdata/20kseries.json
TSDB_BENCHMARK_OUTPUT_DIR ?= ./benchout

include Makefile.common

DOCKER_IMAGE_NAME       ?= prometheus

$(REACT_APP_NODE_MODULES_PATH): $(REACT_APP_PATH)/package.json $(REACT_APP_PATH)/yarn.lock
	cd $(REACT_APP_PATH) && yarn --frozen-lockfile

$(REACT_APP_OUTPUT_DIR): $(REACT_APP_NODE_MODULES_PATH) $(REACT_APP_SOURCE_FILES) $(REACT_APP_BUILD_SCRIPT)
	@echo ">> building React app"
	@$(REACT_APP_BUILD_SCRIPT)

.PHONY: assets
assets: $(REACT_APP_OUTPUT_DIR)
	@echo ">> writing assets"
	# Un-setting GOOS and GOARCH here because the generated Go code is always the same,
	# but the cached object code is incompatible between architectures and OSes (which
	# breaks cross-building for different combinations on CI in the same container).
	cd web/ui && GO111MODULE=$(GO111MODULE) GOOS= GOARCH= $(GO) generate -x -v $(GOOPTS)
	@$(GOFMT) -w ./web/ui

.PHONY: react-app-lint
react-app-lint:
	@echo ">> running React app linting"
	cd $(REACT_APP_PATH) && yarn lint:ci

.PHONY: react-app-lint-fix
react-app-lint-fix:
	@echo ">> running React app linting and fixing errors where possible"
	cd $(REACT_APP_PATH) && yarn lint

.PHONY: react-app-test
react-app-test: | $(REACT_APP_NODE_MODULES_PATH) react-app-lint
	@echo ">> running React app tests"
	cd $(REACT_APP_PATH) && yarn test --no-watch --coverage

.PHONY: test
test: common-test react-app-test

.PHONY: npm_licenses
npm_licenses: $(REACT_APP_NODE_MODULES_PATH)
	@echo ">> bundling npm licenses"
	rm -f $(REACT_APP_NPM_LICENSES_TARBALL)
	find $(REACT_APP_NODE_MODULES_PATH) -iname "license*" | tar cfj $(REACT_APP_NPM_LICENSES_TARBALL) --transform 's/^/npm_licenses\//' --files-from=-

.PHONY: tarball
tarball: npm_licenses common-tarball

.PHONY: docker
docker: npm_licenses common-docker

.PHONY: build
build: assets common-build

.PHONY: bench_tsdb
bench_tsdb: $(PROMU)
	@echo ">> building promtool"
	@GO111MODULE=$(GO111MODULE) $(PROMU) build --prefix $(PREFIX) promtool
	@echo ">> running benchmark, writing result to $(TSDB_BENCHMARK_OUTPUT_DIR)"
	@$(PROMTOOL) tsdb bench write --metrics=$(TSDB_BENCHMARK_NUM_METRICS) --out=$(TSDB_BENCHMARK_OUTPUT_DIR) $(TSDB_BENCHMARK_DATASET)
	@$(GO) tool pprof -svg $(PROMTOOL) $(TSDB_BENCHMARK_OUTPUT_DIR)/cpu.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/cpuprof.svg
	@$(GO) tool pprof --inuse_space -svg $(PROMTOOL) $(TSDB_BENCHMARK_OUTPUT_DIR)/mem.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/memprof.inuse.svg
	@$(GO) tool pprof --alloc_space -svg $(PROMTOOL) $(TSDB_BENCHMARK_OUTPUT_DIR)/mem.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/memprof.alloc.svg
	@$(GO) tool pprof -svg $(PROMTOOL) $(TSDB_BENCHMARK_OUTPUT_DIR)/block.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/blockprof.svg
	@$(GO) tool pprof -svg $(PROMTOOL) $(TSDB_BENCHMARK_OUTPUT_DIR)/mutex.prof > $(TSDB_BENCHMARK_OUTPUT_DIR)/mutexprof.svg

=== debian/changelog ===
prometheus (2.24.1+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release
  * Refresh patches

 -- Martina Ferrari <tina@debian.org>  Wed, 20 Jan 2021 14:35:15 +0000

prometheus (2.24.0+ds-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * New upstream release
  * Add missing build-dep golang-github-alecthomas-units-dev
  * Add new build-dep golang-github-stretchr-testify-dev
  * Refresh patches
  * d/watch: update to version 4 format
  * Add vendored github.com/prometheus/exporter-toolkit

  [ Guillem Jover ]
  * Switch to Standards-Version 4.5.1 (no changes needed)
  * Remove nocheck handling from override_dh_auto_test. This is handled
    automatically since debhelper compatibility level 13.
  * Remove code switching symlinks to directories. This would ideally use
    dpkg-maintscript-helper, but it's now been enough time that it should
    not be needed anymore. Remove the maintainer script.
  * Remove leftover templates.old debconf file
  * Remove old Prometheus version 1 database handling code. This happened
    between the current Debian oldstable (stretch) and stable (buster),
    and we do not support upgrades across multiple releases. Remove the no
    longer needed database format support.
  * Change systemd service Restart directive from always to on-failure.
    The always value is unusual, as it ignores successful exits. The
    prometheus daemon can also be requested to exit from its API, that
    should be honored.
  * Do not enable DH_VERBOSE by default. The default should be fine.
  * Use $() instead of `` in init script
  * Use '' instead of `' in text
  * Remove unnecessary error suppression from init script. The init script
    does not run with «set -e» so there is no need to suppress errors. And
    in any case this error should not be suppressed as that would make the
    daemon fail anyway.
  * Remove error suppression from postinst. These commands need to succeed
    for the program to be considered configured. Ignoring them will mean a
    non-functional installation anyway.
  * Run adduser unconditionally. The adduser command handles existing
    users gracefully, so there is no need to check for them beforehand.
  * Do not change pathname metadata if there are dpkg statoverrides in
    place. These are user specified overrides which we should respect, as
    dpkg does when unpacking these pathnames.
  * Update gitignore file
  * Remove $syslog dependency from init script. We write directly into the
    log file.
  * Remove all rotated logs on purge
  * Add man:prometheus(1) to systemd unit Documentation field
  * Switch from /var/run to /run
  * Rewrite init script using start-stop-daemon. This removes the
    dependency on daemon | systemd-sysv, and simplifies the init script
    substantially.
  * Do not change the permission for /var/log/prometheus anymore. On
    sysvinit systems, the log file is now owned by root so there is no
    need to change the owner and group of the log directory anymore.

  [ Michael Prokop ]
  * Harden prometheus systemd service (Closes: #950759)

 -- Martina Ferrari <tina@debian.org>  Wed, 20 Jan 2021 02:52:40 +0000

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.39~),
                gogoprotobuf (>= 1.0.0+git20180330~),
+               golang-github-alecthomas-units-dev,
                golang-github-aws-aws-sdk-go-dev (>= 1.4),
                golang-github-azure-azure-sdk-for-go-dev,
                golang-github-azure-go-autorest-dev,
@@ -40,6 +41,7 @@
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0.14.0~),
                golang-github-samuel-go-zookeeper-dev,
+               golang-github-stretchr-testify-dev,
                golang-go (>= 2:1.10~),
                golang-go.uber-atomic-dev,
                golang-golang-x-net-dev (>= 1:0.0+git20180124),
@@ -54,8 +56,7 @@
                golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
                golang-gopkg-yaml.v3-dev,
                golang-grpc-gateway,
-               po-debconf,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus.git
@@ -66,7 +67,6 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends},
 Depends: adduser,
-         daemon | systemd-sysv,
          fonts-glyphicons-halflings,
          libjs-bootstrap4,
          libjs-eonasdan-bootstrap-datetimepicker,

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,8 @@
 # -*- Mode: makefile -*-
 include /usr/share/dpkg/pkg-info.mk
 
-export DH_VERBOSE=1
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
 # Include test fixtures.
 export DH_GOLANG_INSTALL_EXTRA := promql/fuzz-data \
     config/testdata discovery/file/fixtures pkg/rulefmt/testdata \
@@ -63,9 +64,7 @@
 	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS2) build/promtool.1
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dh_auto_test -- $(TESTFLAGS)
-endif
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/prometheus-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
dversionmangle=s/\+ds\d*$// \
  https://github.com/prometheus/prometheus/tags .*/v?(\d\S*)\.tar\.gz

## prometheus 2.31.2+ds1

=== Makefile ===
--- 
+++ 
@@ -14,31 +14,43 @@
 # Needs to be defined before including Makefile.common to auto-generate targets
 DOCKER_ARCHS ?= amd64 armv7 arm64 ppc64le s390x
 
-REACT_APP_PATH = web/ui/react-app
-REACT_APP_SOURCE_FILES = $(shell find $(REACT_APP_PATH)/public/ $(REACT_APP_PATH)/src/ $(REACT_APP_PATH)/tsconfig.json)
-REACT_APP_OUTPUT_DIR = web/ui/static/react
-REACT_APP_NODE_MODULES_PATH = $(REACT_APP_PATH)/node_modules
+UI_PATH = web/ui
+UI_NODE_MODULES_PATH = $(UI_PATH)/node_modules
 REACT_APP_NPM_LICENSES_TARBALL = "npm_licenses.tar.bz2"
-REACT_APP_BUILD_SCRIPT = ./scripts/build_react_app.sh
 
 PROMTOOL = ./promtool
 TSDB_BENCHMARK_NUM_METRICS ?= 1000
 TSDB_BENCHMARK_DATASET ?= ./tsdb/testdata/20kseries.json
 TSDB_BENCHMARK_OUTPUT_DIR ?= ./benchout
 
+GOLANGCI_LINT_OPTS ?= --timeout 4m
+
 include Makefile.common
 
 DOCKER_IMAGE_NAME       ?= prometheus
 
-$(REACT_APP_NODE_MODULES_PATH): $(REACT_APP_PATH)/package.json $(REACT_APP_PATH)/yarn.lock
-	cd $(REACT_APP_PATH) && yarn --frozen-lockfile
+.PHONY: ui-install
+ui-install:
+	cd $(UI_PATH) && npm install
 
-$(REACT_APP_OUTPUT_DIR): $(REACT_APP_NODE_MODULES_PATH) $(REACT_APP_SOURCE_FILES) $(REACT_APP_BUILD_SCRIPT)
-	@echo ">> building React app"
-	@$(REACT_APP_BUILD_SCRIPT)
+.PHONY: ui-build
+ui-build:
+	cd $(UI_PATH) && npm run build
+
+.PHONY: ui-build-module
+ui-build-module:
+	cd $(UI_PATH) && npm run build:module
+
+.PHONY: ui-test
+ui-test:
+	cd $(UI_PATH) && npm run test:coverage
+
+.PHONY: ui-lint
+ui-lint:
+	cd $(UI_PATH) && npm run lint
 
 .PHONY: assets
-assets: $(REACT_APP_OUTPUT_DIR)
+assets: ui-install ui-build
 	@echo ">> writing assets"
 	# Un-setting GOOS and GOARCH here because the generated Go code is always the same,
 	# but the cached object code is incompatible between architectures and OSes (which
@@ -46,29 +58,20 @@
 	cd web/ui && GO111MODULE=$(GO111MODULE) GOOS= GOARCH= $(GO) generate -x -v $(GOOPTS)
 	@$(GOFMT) -w ./web/ui
 
-.PHONY: react-app-lint
-react-app-lint:
-	@echo ">> running React app linting"
-	cd $(REACT_APP_PATH) && yarn lint:ci
-
-.PHONY: react-app-lint-fix
-react-app-lint-fix:
-	@echo ">> running React app linting and fixing errors where possible"
-	cd $(REACT_APP_PATH) && yarn lint
-
-.PHONY: react-app-test
-react-app-test: | $(REACT_APP_NODE_MODULES_PATH) react-app-lint
-	@echo ">> running React app tests"
-	cd $(REACT_APP_PATH) && yarn test --no-watch --coverage
-
 .PHONY: test
-test: common-test react-app-test
+# If we only want to only test go code we have to change the test target
+# which is called by all.
+ifeq ($(GO_ONLY),1)
+test: common-test
+else
+test: common-test ui-build-module ui-test ui-lint
+endif
 
 .PHONY: npm_licenses
-npm_licenses: $(REACT_APP_NODE_MODULES_PATH)
+npm_licenses: ui-install
 	@echo ">> bundling npm licenses"
 	rm -f $(REACT_APP_NPM_LICENSES_TARBALL)
-	find $(REACT_APP_NODE_MODULES_PATH) -iname "license*" | tar cfj $(REACT_APP_NPM_LICENSES_TARBALL) --transform 's/^/npm_licenses\//' --files-from=-
+	find $(UI_NODE_MODULES_PATH) -iname "license*" | tar cfj $(REACT_APP_NPM_LICENSES_TARBALL) --transform 's/^/npm_licenses\//' --files-from=-
 
 .PHONY: tarball
 tarball: npm_licenses common-tarball

=== debian/changelog ===
prometheus (2.31.2+ds1-1ubuntu1) jammy; urgency=medium

  * Temporarily allow SHA1 certs in test cases only to fix tests with Go 1.18

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Thu, 17 Mar 2022 11:26:29 -0500

prometheus (2.31.2+ds1-1) unstable; urgency=medium

  * Team upload.

  [ Daniel Swarbrick ]
  * New upstream release (bugfix only).
  * Update my email address.
  * d/copyright: fix typo in Files-Excluded field.

  [ Guillem Jover ]
  * Add missing sources for bootstrap3-typeahead as debian/copyright documents.

 -- Guillem Jover <gjover@sipwise.com>  Sat, 22 Jan 2022 03:07:45 +0100

prometheus (2.31.1+ds2-2) unstable; urgency=medium

  * Team upload.
  * Require golang-github-prometheus-common-dev (>= 0.32.1-4~). From -2 to -3
    part of an API break was reverted, which at the same time broke this
    package. Require the unbroken version to make sure the builds succeed.

 -- Guillem Jover <gjover@sipwise.com>  Fri, 26 Nov 2021 23:45:46 +0100

prometheus (2.31.1+ds2-1) unstable; urgency=medium

  * Team upload.
  * Update debian/watch.
  * Update Files-Exclude to match unvendoring.
  * Remove vendored dennwc/varint now available in Debian.
  * Switch from vendored dennwc/varint to packaged one.
  * Switch to go-kit/log and remove reverting patch.

 -- Guillem Jover <gjover@sipwise.com>  Thu, 25 Nov 2021 19:37:49 +0100

prometheus (2.31.1+ds1-1) unstable; urgency=medium

  * Team upload.

  [ Guillem Jover ]
  * New upstream release.
    - Fix build failure in test suite with Go 1.16. (Closes: #995999)
  * Use $(BUILDDIR) uniformly instead of the literal build/.
  * Update copyright claims.
  * Move note about license location on Debian systems into a Comment field.
  * Update version.BuildUser to match the Maintainer address.
  * Decapitalize synopsis first word.
  * Update gitlab-ci.yml from latest upstream version.
  * Add After=time-sync.target to systemd unit file. (Closes: #981110)
  * Switch to Standards-Version 4.6.0 (no changes needed).
  * Add missing build dependencies needed by new upstream release.
  * Refresh patches for new upstream release.
  * Disable XDS, Uyuni, Linode and Scaleway support.
  * Revert upstream commits introducing unavailable dependencies.
  * Fix test failure for dennwc/varint.
  * Replace patch with entry in DH_GOLANG_INSTALL_EXTRA.
  * Add required fixtures for new upstream release to DH_GOLANG_INSTALL_EXTRA.
  * Use dh-sequence-golang instead of dh-golang and --with=golang.
  * Update debian/copyright for new upstream.
  * Update default file from latest upstream output.
  * Add /.pc/ to .gitignore.
  * Switch to use .build/ as the build directory like upstream.

  [ Daniel Swarbrick ]
  * Unvendor github.com/prometheus/exporter-toolkit
  * Add new build-dep golang-github-prometheus-exporter-toolkit-dev

  [ Martina Ferrari ]
  * Correct my email address.

 -- Guillem Jover <gjover@sipwise.com>  Thu, 18 Nov 2021 19:18:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: prometheus
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
-           Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
+           Daniel Swarbrick <dswarbrick@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang (>= 1.39~),
+               dh-sequence-golang,
                gogoprotobuf (>= 1.0.0+git20180330~),
-               golang-github-alecthomas-units-dev,
+               golang-github-alecthomas-units-dev (>= 0.0~git20210927.59d0afb),
                golang-github-aws-aws-sdk-go-dev (>= 1.4),
                golang-github-azure-azure-sdk-for-go-dev,
                golang-github-azure-go-autorest-dev,
                golang-github-cespare-xxhash-dev,
                golang-github-cockroachdb-cmux-dev,
+               golang-github-dennwc-varint-dev,
+               golang-github-dgryski-go-sip13-dev <!nocheck>,
                golang-github-digitalocean-godo-dev,
                golang-github-docker-docker-dev,
                golang-github-edsrzf-mmap-go-dev,
                golang-github-fsnotify-fsnotify-dev (>= 1.4.7-2~),
-               golang-github-go-kit-kit-dev,
+               golang-github-go-kit-log-dev,
                golang-github-go-openapi-strfmt-dev,
                golang-github-gogo-protobuf-dev (>= 1.0.0+git20180330~),
                golang-github-golang-snappy-dev,
@@ -27,7 +30,7 @@
                golang-github-gophercloud-gophercloud-dev (>= 0.3.0~),
                golang-github-grpc-ecosystem-grpc-gateway-dev,
                golang-github-hashicorp-consul-dev (>= 1.1.0~),
-               golang-github-hetznercloud-hcloud-go-dev,
+               golang-github-hetznercloud-hcloud-go-dev (>= 1.32.0~),
                golang-github-json-iterator-go-dev,
                golang-github-miekg-dns-dev (>= 0.0~git20170501),
                golang-github-mwitkow-go-conntrack-dev,
@@ -39,7 +42,8 @@
                golang-github-prometheus-alertmanager-dev (>= 0.18.0~),
                golang-github-prometheus-client-golang-dev (>= 1.7.1~),
                golang-github-prometheus-client-model-dev,
-               golang-github-prometheus-common-dev (>= 0.14.0~),
+               golang-github-prometheus-common-dev (>= 0.32.1-4~),
+               golang-github-prometheus-exporter-toolkit-dev,
                golang-github-samuel-go-zookeeper-dev,
                golang-github-stretchr-testify-dev,
                golang-go (>= 2:1.10~),
@@ -56,7 +60,8 @@
                golang-gopkg-yaml.v2-dev (>= 2.2.1-1~),
                golang-gopkg-yaml.v3-dev,
                golang-grpc-gateway,
-Standards-Version: 4.5.1
+               golang-uber-goleak-dev,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus.git
@@ -81,7 +86,7 @@
          ${shlibs:Depends},
 Recommends: prometheus-node-exporter,
 Built-Using: ${misc:Built-Using},
-Description: Monitoring system and time series database
+Description: monitoring system and time series database
  Prometheus is a systems and services monitoring system. It collects metrics
  from configured targets at given intervals, evaluates rule expressions,
  displays the results, and can trigger alerts if some condition is observed to

## prometheus 2.33.5+ds1

=== Makefile ===
--- 
+++ 
@@ -55,8 +55,8 @@
 	# Un-setting GOOS and GOARCH here because the generated Go code is always the same,
 	# but the cached object code is incompatible between architectures and OSes (which
 	# breaks cross-building for different combinations on CI in the same container).
-	cd web/ui && GO111MODULE=$(GO111MODULE) GOOS= GOARCH= $(GO) generate -x -v $(GOOPTS)
-	@$(GOFMT) -w ./web/ui
+	cd $(UI_PATH) && GO111MODULE=$(GO111MODULE) GOOS= GOARCH= $(GO) generate -x -v $(GOOPTS)
+	@$(GOFMT) -w ./$(UI_PATH)
 
 .PHONY: test
 # If we only want to only test go code we have to change the test target

=== debian/changelog ===
prometheus (2.33.5+ds1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * debian/control: Adjust dependencies versions to avoid build failures.

 -- Martina Ferrari <tina@debian.org>  Sat, 20 Aug 2022 12:29:59 +0000

prometheus (2.33.5+ds1-2) unstable; urgency=medium

  * New patch: Avoid literal integer overflows in 32 bit arches.
  * debian/rules: Avoid test failures due to newer crypto/x509
    requirements.

 -- Martina Ferrari <tina@debian.org>  Wed, 23 Mar 2022 22:28:20 +0000

prometheus (2.33.5+ds1-1) unstable; urgency=medium

  * New upstream release.
  * debian/gbp.conf: Avoid re-creating orig tarball.
  * debian/copyright: Exclude more files from React UI.
  * Refresh and reorganise patches.
    - Removed 11-Set_temporary_storage_path_for_tsdb.patch as the fix was
      implemented upstream.
    - Renamed and split 01-Do_not_embed_blobs.patch into
      11-Disable_react_UI.patch and 12-Do_not_embed_blobs.patch to separate
      concerns and reflect actual patch order.
  * debian/patches: Add classic UI page for agent mode.
  * debian/rules: Update test data paths.
  * debian/default: Update available flags and descriptions.
  * debian/copyright: Update years.

 -- Martina Ferrari <tina@debian.org>  Wed, 16 Mar 2022 06:03:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: prometheus
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Martina Ferrari <tina@debian.org>,
            Daniel Swarbrick <dswarbrick@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>
@@ -31,7 +30,7 @@
                golang-github-grpc-ecosystem-grpc-gateway-dev,
                golang-github-hashicorp-consul-dev (>= 1.1.0~),
                golang-github-hetznercloud-hcloud-go-dev (>= 1.32.0~),
-               golang-github-json-iterator-go-dev,
+               golang-github-json-iterator-go-dev (>= 1.1.12~),
                golang-github-miekg-dns-dev (>= 0.0~git20170501),
                golang-github-mwitkow-go-conntrack-dev,
                golang-github-oklog-run-dev,
@@ -40,13 +39,13 @@
                golang-github-opentracing-opentracing-go-dev,
                golang-github-pkg-errors-dev,
                golang-github-prometheus-alertmanager-dev (>= 0.18.0~),
-               golang-github-prometheus-client-golang-dev (>= 1.7.1~),
+               golang-github-prometheus-client-golang-dev (>= 1.11.0~),
                golang-github-prometheus-client-model-dev,
                golang-github-prometheus-common-dev (>= 0.32.1-4~),
                golang-github-prometheus-exporter-toolkit-dev,
                golang-github-samuel-go-zookeeper-dev,
-               golang-github-stretchr-testify-dev,
-               golang-go (>= 2:1.10~),
+               golang-github-stretchr-testify-dev (>= 1.7.0~),
+               golang-go (>= 2:1.16~),
                golang-go.uber-atomic-dev,
                golang-golang-x-net-dev (>= 1:0.0+git20180124),
                golang-golang-x-oauth2-google-dev,

=== debian/rules ===
--- 
+++ 
@@ -4,21 +4,36 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
 # Include test fixtures.
-export DH_GOLANG_INSTALL_EXTRA := promql/fuzz-data \
-    config/testdata discovery/file/fixtures pkg/rulefmt/testdata \
-    promql/testdata rules/fixtures scrape/testdata
+export DH_GOLANG_INSTALL_EXTRA := \
+    cmd/prometheus/testdata \
+    cmd/promtool/testdata \
+    config/testdata \
+    discovery/file/fixtures \
+    discovery/http/fixtures \
+    discovery/moby/testdata \
+    discovery/puppetdb/fixtures \
+    documentation/examples/prometheus-agent.yml \
+    documentation/examples/prometheus.yml \
+    model/rulefmt/testdata \
+    promql/fuzz-data \
+    promql/testdata \
+    rules/fixtures \
+    scrape/testdata \
+    tsdb/testdata \
+    # EOL
 
 # Do not build examples.
-export DH_GOLANG_EXCLUDES := documentation vendor
+export DH_GOLANG_EXCLUDES := documentation
 
-BUILDDIR := $(CURDIR)/build
+BUILDDIR := $(CURDIR)/.build
 METAPKG := github.com/prometheus/common
 
 # Taken and modified from the project's Makefile.
 
 BRANCH     := debian/sid
-USER       := pkg-go-maintainers@lists.alioth.debian.org
+USER       := team+pkg-go@tracker.debian.org
 BUILD_DATE  = $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
     +%Y%m%d-%H:%M:%S)
 GO_VERSION  = $(shell go version | sed 's/go version \(\S*\).*/\1/')
@@ -39,11 +54,11 @@
 
 %:
 	# stop the service before upgrading, so we can move the v1 database away
-	dh $@ --buildsystem=golang --with=golang --builddirectory=$(BUILDDIR)
+	dh $@ --buildsystem=golang --builddirectory=$(BUILDDIR)
 
 WHATIS1 := "prometheus \\- The Prometheus monitoring server"
 WHATIS2 := "promtool \\- Tooling for the Prometheus monitoring system"
-PROMPB := $(CURDIR)/build/src/github.com/prometheus/prometheus/prompb
+PROMPB := $(BUILDDIR)/src/github.com/prometheus/prometheus/prompb
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(BUILDFLAGS)
@@ -57,12 +72,15 @@
 override_dh_auto_build: DH_GOLANG_EXCLUDES += tsdb/test
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDFLAGS)
-	build/bin/prometheus --help-man > build/prometheus.1
-	build/bin/promtool --help-man > build/promtool.1
+	$(BUILDDIR)/bin/prometheus --help-man > $(BUILDDIR)/prometheus.1
+	$(BUILDDIR)/bin/promtool --help-man > $(BUILDDIR)/promtool.1
 	# Fix whatis entry.
-	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS1) build/prometheus.1
-	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS2) build/promtool.1
+	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS1) $(BUILDDIR)/prometheus.1
+	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS2) $(BUILDDIR)/promtool.1
 
+# Avoid test failures due to newer crypto/x509 requirements until upstream
+# updates the test CA certificate.
+override_dh_auto_test: export GODEBUG := x509sha1=1
 override_dh_auto_test:
 	dh_auto_test -- $(TESTFLAGS)
